org.eclipse.gef.handles

## Class CornerTriangleBorder

- java.lang.Object
- - org.eclipse.draw2d.AbstractBorder
  - - org.eclipse.gef.handles.CornerTriangleBorder

All Implemented Interfaces:
  Border

Deprecated.
this class is no longer used

    public final class CornerTriangleBorder
    extends AbstractBorder

A `Border` with a triangle in each corner.

### Field Summary

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

### Constructor Summary

Constructors
Constructor and Description
`CornerTriangleBorder(boolean isPrimary)` Deprecated. Creates a new `CornerTriangleBorder`.

### Method Summary

Methods
`protected Color` `getBorderColor()` Deprecated. Returns the outline color based on what is returned by `isPrimary()`.
`protected Color` `getFillColor()` Deprecated. Returns the fill color based on what is returned by `isPrimary()`.
`Insets` `getInsets(IFigure figure)` Deprecated.
`boolean` `isOpaque()` Deprecated. Returns `true`.
`boolean` `isPrimary()` Deprecated. Returns `true` if this border is for the primary object in the selection.
`void` `paint(IFigure figure, Graphics graphics, Insets insets)` Deprecated. Paints the border.
`void` `setPrimary(boolean isPrimary)` Deprecated. Sets this border as primary if `isPrimary` is `true`.

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CornerTriangleBorder

    public CornerTriangleBorder(boolean isPrimary)

Deprecated.
Creates a new `CornerTriangleBorder`.

Parameters:
  `isPrimary` - Determines this border's color.

### Method Detail

#### isOpaque

    public boolean isOpaque()

Deprecated.
Returns `true`.

Specified by:
  `isOpaque` in interface `Border`
Overrides:
  `isOpaque` in class `AbstractBorder`
See Also:
  `Border.isOpaque()`

#### getInsets

    public Insets getInsets(IFigure figure)

Deprecated.

See Also:
  `Border.getInsets(org.eclipse.draw2d.IFigure)`

#### paint

    public void paint(IFigure figure,
             Graphics graphics,
             Insets insets)

Deprecated.
Paints the border. If this is a border for the primary selection, it's painted black. Otherwise, it's painted white.

Parameters:
  `figure` - The `IFigure` this border will be painted on
  `graphics` - The `Graphics`.
  `insets` - The `Insets`.

#### getBorderColor

    protected Color getBorderColor()

Deprecated.
Returns the outline color based on what is returned by `isPrimary()`.

Returns:
  The outline color.

#### getFillColor

    protected Color getFillColor()

Deprecated.
Returns the fill color based on what is returned by `isPrimary()`.

Returns:
  The fill color.

#### isPrimary

    public boolean isPrimary()

Deprecated.
Returns `true` if this border is for the primary object in the selection. Otherwise, returns `false`.

Returns:
  Whether or not this is a primary border.

#### setPrimary

    public void setPrimary(boolean isPrimary)

Deprecated.
Sets this border as primary if `isPrimary` is `true`.

Parameters:
  `isPrimary` - True if this border is for the primary object in the selection.